# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    kallery
%define version 1.2.0
%define release 1.2007mcnl
%define summary image gallery generator
%define section Multimedia/Graphics

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://kallery.kdewebdev.org/en/kallery.htm
#kde-apps       http://kde-apps.org/content/show.php?content=10136
License:        GPL
Group:          Graphics

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:	libMagick-devel

%description
Generates a image gallerie for your webpage.

%prep
rm -rf %{buildroot}
%setup -q

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

#icons
%define  nameicon kallery/hi64-app-kallery.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF

mkdir -p %buildroot%{_datadir}/applications/kde/
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Kallery
GenericName=Image Gallery Generator
Comment=%summary
Exec=%_bindir/%name -caption "%c" %i %m  
Icon=%name.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;Qt;X-MandrivaLinux-Multimedia-Graphics
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS TODO
%_menudir/*
%_iconsdir/*
%{_bindir}/kallery
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/kallery/*
%{_defaultdocdir}/HTML/en/kallery/*


%changelog 

*Wed Nov 29 2006 Marco Meijer <marco@mandrivaclub.nl> 1.2.0-1.2007mcnl
- Mandriva 2007 build
- new version

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.7-1.2006mcnl
- Mandriva 2006 build

*Sat Feb 12 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.7-1.101mcnl
new version

*Fri Jan 07 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.6-1.101mcnl
compatible with ImageMagick 6.1.x

*Thu Jan 06 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.5-1.101mcnl
new version

*Fri Jun 11 2004 Marco Meijer <marco@mandrivaclub.nl> 1.0.4-1mcnl
new version


